Package com.independentsoft.office.spreadsheet.pivotTables

# Class Location

java.lang.Object
com.independentsoft.office.spreadsheet.pivotTables.Location

public class Location extends Object
The Class Location.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Location()`
  Instantiates a new location.
  `Location​(String reference, int firstHeaderRow, int firstDataRow, int firstDataColumn)`
  Instantiates a new location.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Location`
  `clone()`
  `int`
  `getColumnPageCount()`
  Gets the column page count.
  `int`
  `getFirstDataColumn()`
  Gets the first data column.
  `int`
  `getFirstDataRow()`
  Gets the first data row.
  `int`
  `getFirstHeaderRow()`
  Gets the first header row.
  `String`
  `getReference()`
  Gets the reference.
  `int`
  `getRowPageCount()`
  Gets the row page count.
  `void`
  `setColumnPageCount​(int columnPageCount)`
  Sets the column page count.
  `void`
  `setFirstDataColumn​(int firstDataColumn)`
  Sets the first data column.
  `void`
  `setFirstDataRow​(int firstDataRow)`
  Sets the first data row.
  `void`
  `setFirstHeaderRow​(int firstHeaderRow)`
  Sets the first header row.
  `void`
  `setReference​(String reference)`
  Sets the reference.
  `void`
  `setRowPageCount​(int rowPageCount)`
  Sets the row page count.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Location

    public Location()
    Instantiates a new location.

  - ### Location

    public Location​(String reference, int firstHeaderRow, int firstDataRow, int firstDataColumn)
    Instantiates a new location.
    Parameters:
      `reference` - the reference
      `firstHeaderRow` - the first header row
      `firstDataRow` - the first data row
      `firstDataColumn` - the first data column

- ## Method Details

  - ### clone

    public Location clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getReference

    public String getReference()
    Gets the reference.
    Returns:
      the reference

  - ### setReference

    public void setReference​(String reference)
    Sets the reference.
    Parameters:
      `reference` - the new reference

  - ### getColumnPageCount

    public int getColumnPageCount()
    Gets the column page count.
    Returns:
      the column page count

  - ### setColumnPageCount

    public void setColumnPageCount​(int columnPageCount)
    Sets the column page count.
    Parameters:
      `columnPageCount` - the new column page count

  - ### getFirstDataColumn

    public int getFirstDataColumn()
    Gets the first data column.
    Returns:
      the first data column

  - ### setFirstDataColumn

    public void setFirstDataColumn​(int firstDataColumn)
    Sets the first data column.
    Parameters:
      `firstDataColumn` - the new first data column

  - ### getFirstDataRow

    public int getFirstDataRow()
    Gets the first data row.
    Returns:
      the first data row

  - ### setFirstDataRow

    public void setFirstDataRow​(int firstDataRow)
    Sets the first data row.
    Parameters:
      `firstDataRow` - the new first data row

  - ### getFirstHeaderRow

    public int getFirstHeaderRow()
    Gets the first header row.
    Returns:
      the first header row

  - ### setFirstHeaderRow

    public void setFirstHeaderRow​(int firstHeaderRow)
    Sets the first header row.
    Parameters:
      `firstHeaderRow` - the new first header row

  - ### getRowPageCount

    public int getRowPageCount()
    Gets the row page count.
    Returns:
      the row page count

  - ### setRowPageCount

    public void setRowPageCount​(int rowPageCount)
    Sets the row page count.
    Parameters:
      `rowPageCount` - the new row page count